<?php
/******************************************************************************
*                                                                             *
*           Copyright (c) 2004-2007 CS-Cart.com. All rights reserved.         *
*                                                                             *
*******************************************************************************
*                                                                             *
* CS-Cart  is  commercial  software,  only  users  who have purchased a valid *
* license through  http://www.cs-cart.com/  and  accept  to the terms of this *
* License Agreement can install this product.                                 *
*                                                                             *
*******************************************************************************
* THIS  CS-CART  SHOP END-USER LICENSE AGREEMENT IS A LEGAL AGREEMENT BETWEEN *
* YOU  AND  YOUR  COMPANY  (COLLECTIVELY, "YOU") AND CS-CART.COM (HEREINAFTER *
* REFERRED  TO  AS  "THE AUTHOR")  FOR THE SOFTWARE PRODUCT IDENTIFIED ABOVE, *
* WHICH INCLUDES COMPUTER  SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED *
* MATERIALS,  AND  "ONLINE"  OR  ELECTRONIC  DOCUMENTATION (COLLECTIVELY, THE *
* "SOFTWARE").  BY  USING  THE  SOFTWARE,  YOU  SIGNIFY YOUR AGREEMENT TO ALL *
* TERMS, CONDITIONS, AND NOTICES CONTAINED  OR  REFERENCED HEREIN. IF YOU ARE *
* NOT  WILLING  TO  BE  BOUND  BY  THIS  AGREEMENT, DO NOT INSTALL OR USE THE *
* SOFTWARE.                                                                   *
*                                                                             *
* PLEASE READ THE FULL  TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" *
* FILE PROVIDED WITH THIS  DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE *
* AT THE FOLLOWING URL: http://www.cs-cart.com/license.html                   *
******************************************************************************/

//
// $Id: config.php 4986 2008-03-25 10:45:34Z zeke $
//

if ( !defined('IN_CSCART') ) { die('Access denied'); }

//
// Database tables aliases...
//

$db_tables['shippings_suppliers'] = 'cscart_shippings_suppliers';

//
// Defined variables
//
define('DEFAULT_SUPPLIER_ID', 0);
define('SUPPLIER', 'S');

//
// Script targets
//
$script_targets['suppliers'] = ADDONS_DIR . 'suppliers' .DS. 'targets' .DS. 'suppliers.php';


$fn_inheritance['fn_gather_additional_product_data'][] = array ('function' => 'fn_gather_additional_suppliers_product_data', 'params' => array('product', 'get_options'));
$fn_inheritance['fn_add_product_to_cart'][] = array ('function' => 'fn_add_suppliers_product_to_cart', 'params' => array('cart', 'product_id' , '_id'));
$fn_inheritance['fn_apply_cart_shipping_rates'][] = array ('function' => 'fn_calculate_suppliers_cart_content', 'params' => array('cart', 'cart_products', 'auth', 'shipping_rates', 'ignore'), 'priority' => 100);
$fn_inheritance['fn_change_order_status'][] = array ('function' => 'fn_send_supplier_mail', 'params' => array('status_to', 'order_info', 'order_statuses', 'block_all'));
$fn_inheritance['fn_order_placement_routines'][] = array ('function' => 'fn_send_supplier_mail', 'params' => array('status_to', 'order_info', 'order_statuses'));
$fn_inheritance['fn_get_profile_fields'][] = array ('function' => 'fn_get_supplier_profile_fields', 'params' => array('location', 'select', 'condition'));
$fn_inheritance['fn_prepare_google_shippings'][] = array ('function' => 'fn_get_google_suppliers_shippings', 'params' => array('_shipping_methods'));
$fn_inheritance['fn_fill_google_shipping_info'][] = array ('function' => 'fn_fill_google_suppliers_shippings', 'params' => array('id', 'cart', 'order_adj'));
$fn_inheritance['fn_get_google_shipping_rate'][] = array ('function' => 'fn_get_google_suppliers_shipping_rate', 'params' => array('id', 'shipping'));

?>