{* $Id: orders_search_form.tpl 5018 2008-03-31 09:36:50Z zeke $ *}

<form action="{$index_script}" name="orders_search_form" method="get">
<input type="hidden" name="{$target_name}" value="{$target}" />
<input type="hidden" name="{$mode_name}" value="{$mode}" />
<input type="hidden" name="{$action_name}" value="{$action}" />
{if $smarty.get.redirect_url}
<input type="hidden" name="redirect_url" value="{$smarty.get.redirect_url|escape:html}" />
{/if}
{if $search_orders == 'Y'}
<input type="hidden" name="search_orders" value="Y">
{/if}
{if $selected_section != ""}
<input type="hidden" id="selected_section" name="selected_section" value="{$selected_section}">	
{/if}
{if $report_id != ""}
<input type="hidden" id="report_id" name="report_id" value="{$report_id}">	
{/if}
{if $table_id != ""}
<input type="hidden" id="table_id" name="table_id" value="{$table_id}">	
{/if}
{if $condition_element != ""}
<input type="hidden" id="condition_element" name="condition_element" value="{$condition_element}">	
{/if}
{if $element_hash != ""}
<input type="hidden" id="element_hash" name="element_hash" value="{$element_hash}">	
{/if}

<table cellpadding="1" cellspacing="2" border="0">
<tr>
	<td width="140">{$lang.customer}:&nbsp;</td>
	<td><input type="text" name="cname" value="{$smarty.get.cname|escape:html}" size="30" class="input-text" /></td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>{$lang.email}:&nbsp;</td>
	<td><input type="text" name="email" value="{$smarty.get.email|escape:html}" size="30" class="input-text" /></td>
</tr>
<tr>
	<td>{$lang.total}&nbsp;({$currencies.$primary_currency.symbol}):&nbsp;</td>
	<td nowrap="nowrap"><input type="text" name="total_from" value="{$smarty.get.total_from|escape:html}" size="3" class="input-text" />&nbsp;-&nbsp;<input type="text" name="total_to" value="{$smarty.get.total_to|escape:html}" size="3" class="input-text" /></td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>{$lang.tax_exempt}:&nbsp;</td>
	<td>
		<select name="tax_exempt">
			<option value="">--</option>
			<option value="Y" {if $smarty.get.tax_exempt == "Y"}selected="selected"{/if}>{$lang.yes}</option>
			<option value="N" {if $smarty.get.tax_exempt == "N"}selected="selected"{/if}>{$lang.no}</option>
		</select>
	</td>
</tr>
<tr>
	<td nowrap="nowrap">{$lang.order_status}:&nbsp;</td>
	<td colspan="4">
		{include file="orders_pages/order_status.tpl" status=$smarty.get.status|escape:html display="checkboxes" name="status"}</td>
</tr>

<tr>
	<td nowrap="nowrap" valign="top"><p>{$lang.period}:</p></td>
	<td colspan="4">
		{include file="common_templates/period_selector.tpl" period=$smarty.get.period|escape:html form_name="orders_search_form"}</td>
</tr>
<tr>
	<td nowrap="nowrap">{$lang.order_id}:</td>
	<td colspan="4">
		<input type="text" name="order_id" value="{$smarty.get.order_id|escape:html}" size="10" class="input-text" /></td>
</tr>
{if $settings.Addons.gift_certificates == 'Y'}
	{include file="addons/gift_certificates/orders_pages/orders_search_form.tpl"}
{/if}
{include file="products_pages/orders_search_by_products.tpl" schema='orders'}
</table>
{if 'view_orders'|fn_check_privileges:true}
{include file="buttons/button.tpl" but_text=$lang.search but_onclick="javascript: document.orders_search_form.submit();" but_type="input"}
{/if}
</form>
